# Usage report

> Per-operation usage aggregation over the last N days (default 30, max 365). (GET /v1/usage)

Source: https://sightradar.com/docs/api/wallet-and-usage/usage-report

Per-operation usage aggregation over the last N days (default 30, max 365). Free.

### Example request

```bash
curl -X GET "https://api.sightradar.com/v1/usage" \
  -H "Authorization: Bearer $SR_API_KEY"
```

### Parameters

| Name   | In    | Type      | Description |
| ------ | ----- | --------- | ----------- |
| `days` | query | `integer` |             |

### Response body

| Field           | Type       | Description |
| --------------- | ---------- | ----------- |
| `days`          | `integer`  |             |
| `by_op`         | `object[]` |             |
| `total_calls`   | `integer`  |             |
| `total_credits` | `integer`  |             |

### Status codes

| Status | Meaning                     |
| ------ | --------------------------- |
| `200`  | Usage breakdown.            |
| `401`  | Missing or invalid API key. |
